<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Http\Controllers\giftPackController;

class GiftPackEventCreation extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'giftPack:eventCreation';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return int
     */
    public function handle()
    {
        $giftPackEventObj = new giftPackController();
        $giftPackEventObj->processGiftSubscriptionEvents();

        echo "done";
    }
}
